Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.

Bug 1290323

Summary: hybrid hard disk performance is very poor
Product: [Fedora] Fedora Reporter: cornel panceac <cpanceac>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: cpanceac, gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-11 16:11:55 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
smartctl info and tests run none

Description cornel panceac 2015-12-10 03:55:01 EST
Created attachment 1104269 [details]
smartctl info and tests run

Description of problem:
Under F23, my notebook's hard disk has very poor performance most of the times:
- when the machine is started, i can write one 40 MB file on it with ~ 140 MBps
- after a little while, the write speed decreases to around  4  MBps.
I've seen it once recovering before reboot for a short time, but i was not able to reproduce this recovery.

The device it's a Seagate hybrid (SSD+HDD). See the attached file for the smartctl info and some exaqmple test run.

This problem was detected while updating the system. This can take more than one day, at ~ 4 MBps.

I do not see this in Centos 7, after more than 24 hours of uptime. But of course i may see it later. The Centos 7 kernel is 3.10 (x64).

In Fedora 23 i have:

# uname -a
Linux otp-cpanceac-l1.corp.ad.wrs.com 4.2.5-201.fc22.i686+PAE #1 SMP Wed Oct 28 20:18:23 UTC 2015 i686 i686 i386 GNU/Linux

Also i did not see it in Windows 7 x64 after a few tests (around one hour of uptime.)

Some pointers on how to investigate this further would be appreciated.


Version-Release number of selected component (if applicable):


How reproducible:
most of the times.


Steps to Reproduce:
1.run the test in the attached file (or just run time dd if=... of=...)
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Laura Abbott 2016-09-23 15:25:12 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 2 cornel panceac 2016-10-03 08:05:09 EDT
Still happening in Fedora 24
Comment 3 cornel panceac 2016-11-11 07:32:54 EST
Still happening on F24 with kernel 4.8.6-201.fc24.i686+PAE .
Comment 4 cornel panceac 2016-11-28 07:42:24 EST
Maybe it's specific to x86 architecture.
After replacing x86 F24 with x86_64 F25, the problem seems to be gone:

# uname -a
Linux otp-cpanceac-l1.corp.ad.wrs.com 4.8.6-300.fc25.x86_64 #1 SMP Tue Nov 1 12:36:38 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

# rm -f /testfile1; time dd if=/dev/zero of=/testfile1 bs=4M count=10
10+0 records in
10+0 records out
41943040 bytes (42 MB, 40 MiB) copied, 0.0336276 s, 1.2 GB/s

real	0m0.035s
user	0m0.000s
sys	0m0.034s


# rm -f /testfile1; time dd if=/dev/zero of=/testfile1 bs=4M count=1024
1024+0 records in
1024+0 records out
4294967296 bytes (4.3 GB, 4.0 GiB) copied, 42.0159 s, 102 MB/s

real	0m42.018s
user	0m0.005s
sys	0m2.624s

However, Firefox seems to crawl still, but this may be another bug.
Comment 5 Justin M. Forbes 2017-04-11 10:42:47 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 6 cornel panceac 2017-04-11 15:24:30 EDT
as said before: i've switched to 64 bits and now the problem is gone.
Comment 7 Justin M. Forbes 2017-04-11 16:11:55 EDT
Closing this as insufficient data then.  Feel free to reopen if needed.